Std Group
Std Group |
Menu location |
---|
Tree view → Right click on the document name → Create group |
Phenomena |
All |
Default shortcut |
None |
Introduced in version |
- |
See also |
Std Part |
Description
Std Group (internally called App DocumentObjectGroup) is a general purpose container that allows you to group different types of objects in the Tree view, regardless of their data type. It is used as a simple folder to categorize and organize the objects in your model, in order to keep a logical structure. Std Groups may be nested inside other Std Groups.
The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.
To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.
Various elements inside Std Groups in the tree view.
Usage
- Do one of the following:
- Right-click the name of the document in the Tree view and in the context menu choose Create group....
- Press the Create group button.
- An empty Group is created.
- To add objects to the Group, select them in Tree view, and drag and drop them onto the Group.
- To remove objects from the Group, drag them out of the Group, and onto the document label at the top of the Tree view.
- Objects can also be added and removed by editing the DataGroup property of the Group.
Properties
The Std Group, internally called App DocumentObjectGroup (App::DocumentObjectGroup
class), is derived from the basic App DocumentObject (App::DocumentObject
class) and inherits all its properties.
The Std Group has the same properties as the App FeaturePython, which is the most basic instance of an App DocumentObject. It also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.
Data
Base
- DataGroup (
LinkList
): a list of referenced objects. By default, it is empty[]
. - Data (Hidden)_ Group Touched (
Bool
): whether the group is touched or not.
Scripting
See also: LabRPS Scripting Basics and scripted objects.
See Part Feature for the general information on adding objects to the document.
A Std Group (App DocumentObjectGroup) is created with the addObject()
method of the document. Once a Group exists, other objects can be added to it with the addObject()
or addObjects()
methods.
import LabRPS as App doc = App.newDocument() group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group") obj1 = App.ActiveDocument.addObject("Part::Box", "Box1") obj2 = App.ActiveDocument.addObject("Part::Box", "Box2") group.addObjects([obj1, obj2]) App.ActiveDocument.recompute()
This basic App::DocumentObjectGroup
doesn't have a Proxy object so it can't be fully used for sub-classing.
For Python subclassing you should create a App::DocumentObjectGroupPython
object.
import LabRPS as App doc = App.newDocument() obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name") obj.Label = "Custom label"
- File: New document, New Table, New Matrix, New Graph, New 2D Plot, New 3D Plot, Open..., Open Recent, Close, Close All, Save, Save As..., Save a Copy..., Save All, Revert, Import..., Export..., Merge project..., Document information..., Print..., Print preview..., Export PDF...Exit
- Edit: Undo, Redo, Cut, Copy, Paste, Duplicate selection, Refresh, Select All, Delete, Preferences...
- View: Fullscreen, Workbench, Sync view, Record selection, Single document, Multi document, Collapse/Expand, Initiate dragging, Go to selection, Selection back, Selection forward, Status bar
- Tools: Edit parameters..., Export dependency graph..., Project utility..., Alphaplot, Line, Scatter, Scatter, Scatter With X Err, Scatter With Y Err, Scatter With XY Err, Line + Symbol, Special Line + Symbol, Vertical Drop Lines, Spline, Vertical Steps, Horizontal Steps, Vertical Bars, Vertical Stacked Bars, Vertical Grouped Bars ,Horizontal Bars, Horizontal Stacked Bars, Horizontal Grouped Bars, Area, Channel Fil, Pie, Half Pie, Vectors XYXY, Vectors XYAM, Statistical Graph, Box Plot, Histogram, Stacked Histogram, 3D Plot, Bar, Scatter, Layout Grids, Vertical 2 Layouts, Horizontal 2 Layouts, 4(2x2) Layouts, 3D Wire Frame, 3D Surface, 3D Wire Frame Surface, Bar, Scatter, Contour + Color Fill, Countour Lines, Gray Scale Map, 3D Wire Frame Polar, 3D Surface Polar, 3D Wire Frame Surface Polar, 3D Scatter Polar, Polar spectrogram, Graph, Add/Remove Plot xy/xy..., Add Function..., Add Error Bars..., Add/Remove Other Plots..., Add/Remove Plot y..., Add/Remove Vector Plot..., Add Axis..., Add Left Axis, Add Bottom Axis, Add Right Axis, Add Top Axis, Legend Reorder, Add Text, Add Time Stamp, Add Image, Draw Line, Draw Arrow, Draw Ellipse, Add Nested Layout, Add Layout, Add Up, Add Down, Add Left, Add Right, Remove Layout, Swap Layouts..., Graph Tolls, Disable Tools, Data Rearder, Screen Reader, Select Data Range, Move Data Points, Remove Bad Data Points..., Drag Range, Zoom Range, Rescale To Show All, Table, Set Column(s) As, X, Y, Z, X Error, Y Error, None, Fill Selection With, Row Numbers, , Random Values, Custom Random, Show Comments, Show Controls, Formula Edit Mode, Edit Column Description, Change Type & Format, Clear Table, Sort Table, Assign Formula, Recalculate, Add Column, Go To Cell, Export ASCII..., Convert To Matrix, Matrix, Hide Controls, Set Coordinates, Set Display Format, Assign Formula, Recalculate, Clear Matrix, Transpose, Mirror Horizontally, Mirror Vertically, Import Image, Go To Cell, Invert, Determinant, Convert To Table, Add text document, Group, Units Calculator,Customize..., RPS Features..., Addon manager
- Macro: Macro recording, Macros, Recent macros, Execute macro, Attach to remote debugger, Debug macro, Stop debugging, Step over, Step into, Toggle breakpoint
- Help: Help, LabRPS Website, Donate, Users documentation, Python scripting documentation, Automatic Python modules documentation, LabRPS Forum, LabRPS FAQ, Report a bug, About LabRPS, What's This
- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, AppImage
- Basics: About LabRPS, Interface, RPS Objects, Object name, Preferences, Workbenches, Document structure, Properties, Help LabRPS, Donate
- Hubs: User hub, Power users hub, Developer hub